> ## Name

> cgD3D10GetLatestGeometryProfile - get the latest supported geometry shader version

> ## Synopsis

>     #include <Cg/cgD3D10.h>

>     CGprofile cgD3D10GetLatestGeometryProfile( void );

> ## Parameters

> None.

> ## Return Values

> Returns the latest geometry shader version supported by the current D3D device.

> Returns CG_PROFILE_UNKNOWN if no D3D device is currently set.

> ## Description

> cgD3D10GetLatestGeometryProfile retrieves the latest geometry shader version that the current D3D device supports. This is an expanded interface function because it needs to know about the D3D device to determine the most current version supported.

> Starting in Cg 2.2, if the environment variable `CGD3D10_LATEST_GEOMETRY_PROFILE` is set in the application's environment to a string that cgGetProfile translates to a valid profile (meaning not `CG_PROFILE_UNKNOWN`), then it is this CGprofile value that will be returned by cgD3D10GetLatestGeometryProfile.

> ## Examples

>       CGprofile bestGeometryProfile = cgD3D10GetLatestGeometryProfile();

> ## Errors

> None.

> ## History

> cgD3D10GetLatestGeometryProfile was introduced in Cg 2.1.

> ## See Also

> cgD3D10GetLatestPixelProfile, cgD3D10GetLatestVertexProfile